function fark_code_draw(id,n,is_img,format,style_a,style_td) {
  var fark_captions = [
'Обычная деловая встреча закончилась скандалом (ВИДЕО)',
'Эта красотка умеет работать ножками... и не только! (ВИДЕО)',
'Популярная певицы разделась для журнала (ФОТО)',
'Эту девочку признали самой сексуальной! (ФОТО)',
'Голая девушка на обочине стала причиной 10 ДТП (ФОТО)',
  ];
  var fark_images = [
'http://www.fark.ru/idb/5farkkk0312.jpg',
'http://www.fark.ru/idb/5fark5352.jpg',
'http://www.fark.ru/idb/6fark5353.jpg',
'http://www.fark.ru/idb/5farkkk0313.jpg',
'http://www.fark.ru/idb/5fark5202.jpg',
  ];

  if(n>fark_captions.length) n=5;
  if(n>0) { 
    if(format == 1) {
      document.write('<table'+(style_td?(' style="'+style_td+'"'):'')+' border="0" cellspacing="3">');
      for(i=0; i<n; i++) {
        document.write('<tr>');
        if(is_img) document.write('<td><a target=_blank href="http://new.fark.ru/in/'+id+'"><img style="border: solid 1px black;" src="'+fark_images[i]+'" width=50 height=50 border=0></a></td>');
        document.write('<td>'+
		  '<a'+(style_a?(' style="'+style_a+'"'):'')+' target=_blank href="http://new.fark.ru/in/'+id+'">'+fark_captions[i]+'</a></td></tr>');
      }
      document.write('</table>');
    }
    if(format == 2) {
      document.write('<table '+(style_td?(' style="'+style_td+'"'):'')+' class="fark" border="0" cellspacing="3"><tr>');
      for(i=0; i<n; i++) {
        if(is_img) document.write('<td><a target="_blank" href="http://new.fark.ru/in/'+id+'"><img style="border: solid 1px black;" src="'+fark_images[i]+'" width=50 height=50 border=0></a></td>');
        document.write('<td'+(style_td?(' style="'+style_td+'"'):'')+'>'+
		 '<a'+(style_a?(' style="'+style_a+'"'):'')+' target="_blank" href="http://new.fark.ru/in/'+id+'">'+fark_captions[i]+'</a></td>');
      }
      document.write('</tr></table>');
    }
  }
}

function fark_banner_draw() {
  fark_code_draw(fark_partner_id,fark_num_links,fark_is_images,fark_code_format,fark_code_style_a,fark_code_style_td);
}